org.eclipse.ease.lang.python.ui.completion

## Class PythonCompletionProviderWrapper

- java.lang.Object
- - org.eclipse.ease.lang.python.ui.completion.PythonCompletionProviderWrapper

All Implemented Interfaces:
  ICompletionProvider

    public class PythonCompletionProviderWrapper
    extends java.lang.Object
    implements ICompletionProvider

`ICompletionProvider` dispatching actual completion calculation to Python.

### Field Summary

### Fields inherited from interface org.eclipse.ease.ui.completion.ICompletionProvider

`TRACE_CODE_COMPLETION`

### Constructor Summary

Constructors
Constructor and Description
`PythonCompletionProviderWrapper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Collection<? extends ScriptCompletionProposal>` `getProposals(ICompletionContext context)` Calculate all matching proposals for given `ICompletionContext`.
`boolean` `isActive(ICompletionContext context)` Query indicating that this providers completion proposals should be taken into account.
`void` `setPythonPprovider(ICompletionProvider provider)` Sets the Python counterpart for the `ICompletionProvider`.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PythonCompletionProviderWrapper

    public PythonCompletionProviderWrapper()

### Method Detail

#### setPythonPprovider

    public void setPythonPprovider(ICompletionProvider provider)

Sets the Python counterpart for the `ICompletionProvider`.

Parameters:
  `provider` - Python `ICompletionProvider`.

#### getProposals

    public java.util.Collection<? extends ScriptCompletionProposal> getProposals(ICompletionContext context)

Description copied from interface: `ICompletionProvider`
Calculate all matching proposals for given `ICompletionContext`.

Specified by:
  `getProposals` in interface `ICompletionProvider`
Parameters:
  `context` - `ICompletionContext` with necessary information to calculate proposals.
Returns:
  Collection of matching proposals.

#### isActive

    public boolean isActive(ICompletionContext context)

Description copied from interface: `ICompletionProvider`
Query indicating that this providers completion proposals should be taken into account.

Specified by:
  `isActive` in interface `ICompletionProvider`
Parameters:
  `context` - `ICompletionContext` with necessary information to calculate proposals.
Returns:
  `true` when active